"""
@author: luojunhui
"""
import pymysql


class PQMySQL(object):
    """
    PQ Mysql
    """
    connection = pymysql.connect(
        host='rm-bp1159bu17li9hi94.mysql.rds.aliyuncs.com',
        port=3306,
        user='crawler',
        password='crawler123456@',
        db='piaoquan-crawler',
        charset='utf8mb4'
    )

    @classmethod
    def update(cls, sql, params):
        """
        更新
        :return:
        """
        cursor = cls.connection.cursor()
        try:
            cursor.execute(sql, params)
            cls.connection.commit()
        except Exception as e:
            print(e)
            cls.connection.rollback()

    @classmethod
    def select(cls, sql):
        """
        查询
        :param sql:
        :return:
        """
        cursor = cls.connection.cursor()
        cursor.execute(sql)
        result = cursor.fetchall()
        return result

    @classmethod
    def insertMany(cls, sql, params_list):
        """
        :param sql:
        :param params_list:
        :return:
        """
        cursor = cls.connection.cursor()
        try:
            cursor.executemany(query=sql, args=params_list)
            cls.connection.commit()
        except Exception as e:
            print("Insert Many Defeat--{}".format(e))
            cls.connection.rollback()